commit 79e22caddf6049c14c1681a2b2baa3e813fde0ec
Author: zabran <zabran@students.zcu.cz>
Date:   Thu May 14 20:38:19 2020 +0200

    Issue #8011 @1.5h
    [+] Přidáno horní menu pro desktop. Má oproti návrhu basic hover a bílá písmena na active.
    [/] Zrušen outline pro logo-kaplicky a šipky při focus(kliknutí). Vypadalo to divně.

diff --git a/resources/sass/_custom.scss b/resources/sass/_custom.scss
index 4c23b24..8134738 100644
--- a/resources/sass/_custom.scss
+++ b/resources/sass/_custom.scss
@@ -116,6 +116,13 @@ body {
         color: $theme-color-four;
     }
 
+    //notes u metadat, about v about, text levého menu
+    .text-headline-desktop {
+        font-weight: $font-weight-two;
+        font-size: 24pt;
+        color: $theme-color-four;
+    }
+
     //název metadata, text pravého menu
     .text-page {
         font-weight: $font-weight-two;
@@ -689,15 +696,6 @@ body {
     }
 }
 
-.arrow {
-    position: absolute;
-    width: 0;
-    height: 0;
-    margin: 2rem;
-    cursor: pointer;
-    border: 0.59055rem solid transparent;
-}
-
 .top-bar {
     background-color: $theme-color-five;
     height: 5rem;
@@ -710,22 +708,6 @@ body {
     }
 }
 
-.arrow-left {
-    margin-left: 80%;
-
-    border-right: 0.59055rem solid $theme-color-five;
-    background-color: $theme-color-four !important;
-}
-
-.arrow-right {
-    border-left: 0.59055rem solid $theme-color-four;
-
-    position: fixed;
-    z-index: 3;
-    top: 0;
-    left: 0;
-}
-
 .separator {
     position: relative;
     z-index : 5;
@@ -742,8 +724,8 @@ body {
 
 .sidenav {
     height: 100%;
-    //width: 0;
-    width: 250px;
+    width: 0;
+    //width: 250px;
     position: fixed;
     z-index: 4;
     top: 0;
@@ -770,6 +752,14 @@ body {
     }
 }
 
+.bar-desktop{
+    display: flex;
+    align-items: center;
+    min-width: 84vw;
+    margin-left: 8vw;
+    margin-right: 8vw;
+}
+
 .down {
     position: absolute;
     z-index: 5;
@@ -783,17 +773,22 @@ body {
     padding: 0.25rem 1.5rem;
     width: 100%;
     border: 0;
-}
-
-.menu-item.active, .menu-item:active {
-    color: $theme-color-five;
-    background-color: $theme-color-one;
+    &:active, &.active, &:focus{
+        color: $theme-color-one;
+        background-color: $theme-color-five;
+        border: none;
+        outline: none;
+        box-shadow: none;
+    }
 }
 
 .logo-kaplicky {
-    display: block;
     text-align: center;
-    width: 100%;
+    display: none;
+    &:active, &.active, &:focus{
+        outline: none;
+        box-shadow: none;
+    }
 }
 
 .vertical-center {
@@ -839,8 +834,45 @@ body {
         font-size: 23pt;
         padding-top: 50pt;
         white-space: nowrap;
+    }
+    .logo-kaplicky{
+        width: 100%;
+        display: block;
+    }
+    .arrow {
+        position: absolute;
+        width: 0;
+        height: 0;
+        margin: 2rem;
+        cursor: pointer;
+        border: 0.59055rem solid transparent;
+        &:active, &.active, &:focus{
+            outline: none;
+            box-shadow: none;
+        }
+    }
+    .arrow-left {
+        margin-left: 80%;
 
+        border-right: 0.59055rem solid $theme-color-five;
+        background-color: $theme-color-four !important;
     }
+    .arrow-right {
+        border-left: 0.59055rem solid $theme-color-four;
+
+        position: fixed;
+        z-index: 3;
+        top: 0;
+        left: 0;
+    }
+    .bar-desktop{
+        display: none;
+    }
+    .menu-item:active, .menu-item.active{
+        color: $theme-color-five;
+        background-color: $theme-color-one;
+    }
+
 
     /*.btn-circle.rounded-circle.btn-sm
     {
diff --git a/resources/views/inc/sidebar.blade.php b/resources/views/inc/sidebar.blade.php
index 45d4c48..59292f5 100644
--- a/resources/views/inc/sidebar.blade.php
+++ b/resources/views/inc/sidebar.blade.php
@@ -46,9 +46,6 @@
                 {{ __('general.charts') }}
             </a>
 
-        </li>
-        <li class="nav-item">
-
         </li>
         <li class="nav-item down">
             <a class="menu-item text-headline" href="{{ url('/czech') }}">
@@ -75,6 +72,44 @@
             {{ __('general.kaplicky') }}
         </a>
     @endif
+    <div class="bar-desktop">
+        <a class="menu-item text-headline-desktop" href="{{ url('/') }}">
+            {{ __('general.home') }}
+        </a>
+
+        <a class="menu-item text-headline-desktop" href="{{ url('/categories') }}">
+            {{ __('general.topics') }}
+        </a>
+
+        <a class="menu-item text-headline-desktop" href="{{ url('/artefact') }}">
+            {{ __('general.artefacts') }}
+        </a>
+
+        <a class="menu-item text-headline-desktop" href="{{ url('/favartefacts') }}">
+            {{ __('general.favourite_artefacts') }}
+        </a>
+
+        <a class="menu-item text-headline-desktop" href="{{ url('/favmetadata') }}">
+            {{ __('general.favourite_metadata') }}
+        </a>
+
+        <a class="menu-item text-headline-desktop" href="{{ url('/charts') }}">
+            {{ __('general.charts') }}
+        </a>
+
+        <a class="menu-item text-headline-desktop" href="{{ url('/czech') }}">
+            {{ __('general.cs') }}
+        </a>
+        <a class="menu-item text-headline-desktop" href="{{ route('logout') }}" onclick="
+            event.preventDefault();
+            document.getElementById('logout-form').submit();">
+            {{ __('logout') }}
+        </a>
+
+        <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
+            @csrf
+        </form>
+    </div>
 </nav>
 {{--<label for="logo" class="col-md-12 kaplicky" style="display: inline-block; text-align: center; padding: 1.25rem; padding-bottom: 0">{{ __('kaplicky') }}</label>
 {{--<label for="logo" class="col-md-4 kaplicky">{{ __('kaplicky') }}</label>--}}