commit 83496d8e2bf678fad87ab854cd9c5d3830b19c2f
Author: zabran <zabran@students.zcu.cz>
Date:   Tue Apr 28 17:37:21 2020 +0200

    Issue #7952 @1.5h
    Oprava fontů - funkční přechod na Nunito (skoro stejné jako Avenir, jen kulatější).
    Dokončení Loginu a Registrace - errory už všechny odpovídají.
    Nesedí přesně velikost špendlíku - nedaří se mi nastavit jeho velikost na zbytek výšky stránky - ale snad to nevadí.

diff --git a/resources/sass/_custom.scss b/resources/sass/_custom.scss
index 99683b0..e111695 100644
--- a/resources/sass/_custom.scss
+++ b/resources/sass/_custom.scss
@@ -5,12 +5,13 @@
 
 body {
     background-color: $theme-color-five;
+    font-family: $font-family-one;
 
     .head-title h1 {
         color: $theme-color-one;
-        font-family: $font-family-style-one;
+        font-weight: $font-weight-one;
         font-size: 60pt;
-        font-weight: bold;
+        //font-weight: bold;
         letter-spacing: 3px;
     }
 
@@ -61,14 +62,6 @@ body {
             transform: translateY(-50%);
             background-color:  rgba(239, 218, 179, 0.5);
 
-            /*h2 {
-                font-family: $font-family-style-three;
-                font-size: 11pt;
-                letter-spacing: 3pt;
-                color: $white;
-
-            }*/
-
             p {
                 font-size: 8pt;
                 color: $theme-color-five;
@@ -79,14 +72,14 @@ body {
     /////////text types
     //většina běžných textů
     .text {
-        font-family: $font-family-style-one;
+        font-weight: $font-weight-one;
         font-size: 8pt;
         line-height: 9pt;
     }
 
     //text inputu a název artefaktů
     .text2{
-        font-family: $font-family-style-two;
+        font-weight: $font-weight-two;
         font-size: 8pt;
     }
 
@@ -94,34 +87,34 @@ body {
     .kaplicky{
         color: $theme-color-one;
         font-size: 11pt;
-        font-family: $font-family-style-three;
+        font-weight: $font-weight-three;
         letter-spacing: 3pt;
     }
 
     //autor artefaktu
     .text-author{
-        font-family: $font-family-style-one;
+        font-weight: $font-weight-one;
         font-size: 7pt;
         color: $theme-color-four;
     }
 
     //počet lajků
     .text-number{
-        font-family: $font-family-style-two;
+        font-weight: $font-weight-two;
         font-size: 5pt;
         color: $theme-color-four;
     }
 
     //notes u metadat, about v about, text levého menu
     .text-headline{
-        font-family: $font-family-style-two;
+        font-weight: $font-weight-two;
         font-size: 12pt;
         color: $theme-color-four;
     }
 
     //název metadata, text pravého menu
     .text-page{
-        font-family: $font-family-style-two;
+        font-weight: $font-weight-two;
         font-size: 7pt;
     }
 
@@ -158,7 +151,7 @@ body {
 
     .card-body {
     	background-color: $theme-color-five;
-    	font-family: $font-family-style-one;
+    	font-weight: $font-weight-one;
     	color: $theme-color-four;
 
 	}
@@ -166,28 +159,24 @@ body {
 	.form-control {
     	background-color: $theme-color-five;
     	margin-top: -1px;
-    	//border-bottom: 1px;
     	border-top-color: $theme-color-five;
     	border-left-color: $theme-color-five;
     	border-right-color: $theme-color-five;
     	border-bottom-color: 0.5pt $theme-color-one;
     	color: $theme-color-one;
         box-shadow: none;
-        //transition: none;
         font-size: 8pt;
 	}
 
     .form-control:focus {
         background-color: $theme-color-five;
         margin-top: -1px;
-        //border-bottom: 1px;
         border-top-color: $theme-color-five;
         border-left-color: $theme-color-five;
         border-right-color: $theme-color-five;
         border-bottom-color: 0.5pt $theme-color-one;
         color: $theme-color-one;
         box-shadow: none;
-        //transition: none;
         font-size: 8pt;
     }
 
@@ -199,7 +188,7 @@ body {
         border-radius: 0;
         width: 6.5rem;
         height: 2rem;
-        font-family: $font-family-style-one;
+        font-weight: $font-weight-one;
 
         &:active, &:focus, &:visited {
             outline: none;
@@ -225,9 +214,21 @@ body {
         border-left: .5pt solid $theme-color-four;
         display: inline-block;
         margin: 50px;
-        height: 200px;
+        margin-bottom: 0pt;
+        min-height: 75vh;
+        height: auto;
         text-align: left;
         width: 100%;
+        .text{
+            //padding-top: 5rem;//0.35433rem;
+            //margin-top: 5rem;
+            //top: 5rem;
+            margin-left: 0.5rem;
+        }
+        p{
+            margin-top: 0pt;
+            margin-bottom: 0pt;
+        }
     }
 
     .button-image {
@@ -251,7 +252,7 @@ body {
 
         h5 {
             color: $theme-color-two;
-            font-family: $font-family-style-two;
+            font-weight: $font-weight-two;
             line-height: 20pt;
             font-size: 21pt;
         }
@@ -259,8 +260,8 @@ body {
         h6 {
             color: $theme-color-two;
             font-size: 14pt;
-            font-weight: lighter;
-            font-family: $font-family-style-one;
+            //font-weight: lighter;
+            font-weight: $font-weight-one;
         }
 
         img {
@@ -369,7 +370,7 @@ body {
             color:$theme-color-four;
             outline: none !important;
             box-shadow: none !important;
-            font-family: $font-family-style-two;
+            font-weight: $font-weight-two;
 
             &:active
             {
diff --git a/resources/sass/_variables.scss b/resources/sass/_variables.scss
index 8f9cdbc..7a8643f 100644
--- a/resources/sass/_variables.scss
+++ b/resources/sass/_variables.scss
@@ -10,14 +10,16 @@ $line-height-base: 1.6;
 //$font-family-avenir-roman: Avenir Roman;
 //$font-family-avenir-medium: Avenir Medium;
 //$font-family-avenir-black: Avenir Black;
-$font-family-nunito-roman: Nunito Roman;
-$font-family-nunito-medium: Nunito Medium;
-$font-family-nunito-black: Nunito Black;
+$font-family-nunito: Nunito;
+$weight-roman:  400;
+$weight-medium: 600;
+$weight-black:  900;
 
 // Theme fonts
-$font-family-style-one: $font-family-nunito-roman;
-$font-family-style-two: $font-family-nunito-medium;
-$font-family-style-three: $font-family-nunito-black;
+$font-family-one: $font-family-nunito;
+$font-weight-one: $weight-roman;
+$font-weight-two: $weight-medium;
+$font-weight-three: $weight-black;
 
 // Colors
 $blue: #3490dc;
diff --git a/resources/views/auth/login.blade.php b/resources/views/auth/login.blade.php
index c541e80..1ff43ce 100644
--- a/resources/views/auth/login.blade.php
+++ b/resources/views/auth/login.blade.php
@@ -14,7 +14,7 @@
             <div class="card">
                 {{--<div class="card-header">{{ __('Login') }}</div>--}}
 
-                <div class="card-body">
+                <div class="card-body" style="padding-bottom: 0px">
                     <form method="POST" action="{{ route('login') }}">
                         @csrf
 
@@ -24,9 +24,7 @@
                             <label for="email" class="col-md-4 col-form-label text-md-right">{{ __('e-mail') }}</label>
 
                             <div class="col-md-6">
-                                <input id="email" type="email" class="form-control text2 @error('email') is-invalid @enderror" name="email" value="{{ old('email') }}" required autocomplete="email" autofocus>
-
-
+                                <input id="email" type="email" class="form-control text2 @error('email') is-invalid @enderror" name="email" value="{{ old('email') }}" {{--required autocomplete="email" autofocus--}}>
                             </div>
                         </div>
 
@@ -34,9 +32,7 @@
                             <label for="password" class="col-md-4 col-form-label text-md-right">{{ __('password') }}</label>
 
                             <div class="col-md-6">
-                                <input id="password" type="password" class="form-control text2 @error('password') is-invalid @enderror" name="password" required autocomplete="current-password">
-
-
+                                <input id="password" type="password" class="form-control text2 @error('password') is-invalid @enderror" name="password" {{--required autocomplete="current-password"--}}>
                             </div>
                         </div>
 
@@ -56,7 +52,6 @@
                                 <button type="submit" class="btn button-square ">
                                     {{ __('join') }}
                                 </button>
-
                                 {{-- @if (Route::has('password.request'))
                                     <a class="btn btn-link" href="{{ route('password.request') }}">
                                         {{ __('Forgot Your Password?') }}
@@ -64,19 +59,19 @@
                                 @endif --}}
                             </div>
 
+                        @if($errors->any())
                             <div class="col-md-6 offset-md-2">
-                             @error('email')
-                                <span class="text white pin-left" role="alert">
-                                             <text>{{ $message }}</text>
-                                </span>
-                             @enderror
-
-                             @error('password')
                                 <span class="text white pin-left" role="alert">
-                                            <text>{{ $message }}</text>
+                                    <p> </p>
+                                    @error('email')
+                                             <p class="text">{{ $message }}</p>
+                                     @enderror
+                                    @error('password')
+                                             <p class="text">{{ $message }}</p>
+                                     @enderror
                                 </span>
-                             @enderror
                             </div>
+                        @endif
                     </form>
                 </div>
             </div>
diff --git a/resources/views/auth/register.blade.php b/resources/views/auth/register.blade.php
index 4842061..8b20337 100644
--- a/resources/views/auth/register.blade.php
+++ b/resources/views/auth/register.blade.php
@@ -14,7 +14,7 @@
             <div class="card">
                 {{--<div class="card-header">{{ __('Register') }}</div>--}}
 
-                <div class="card-body">
+                <div class="card-body" style="padding-bottom: 0px">
                     <form method="POST" action="{{ route('register') }}">
                         @csrf
 
@@ -23,13 +23,8 @@
                             <label for="name" class="col-md-4 col-form-label text-md-right">{{ __('name') }}</label>
 
                             <div class="col-md-6">
-                                <input id="name" type="text" class="form-control text2 @error('name') is-invalid @enderror" name="name" value="{{ old('name') }}" required autocomplete="name" autofocus>
+                                <input id="name" type="text" class="form-control text2 @error('name') is-invalid @enderror" name="name" value="{{ old('name') }}" {{--required autocomplete="name" autofocus--}}>
 
-                                @error('name')
-                                    <span class="invalid-feedback" role="alert">
-                                        <strong>{{ $message }}</strong>
-                                    </span>
-                                @enderror
                             </div>
                         </div>
 
@@ -37,13 +32,8 @@
                             <label for="email" class="col-md-4 col-form-label text-md-right">{{ __('e-mail') }}</label>
 
                             <div class="col-md-6">
-                                <input id="email" type="email" class="form-control text2 @error('email') is-invalid @enderror" name="email" value="{{ old('email') }}" required autocomplete="email">
+                                <input id="email" type="email" class="form-control text2 @error('email') is-invalid @enderror" name="email" value="{{ old('email') }}" {{--required autocomplete="email"--}}>
 
-                                @error('email')
-                                    <span class="invalid-feedback" role="alert">
-                                        <strong>{{ $message }}</strong>
-                                    </span>
-                                @enderror
                             </div>
                         </div>
 
@@ -51,13 +41,8 @@
                             <label for="password" class="col-md-4 col-form-label text-md-right">{{ __('password') }}</label>
 
                             <div class="col-md-6">
-                                <input id="password" type="password" class="form-control @error('password') is-invalid @enderror" name="password" required autocomplete="new-password">
+                                <input id="password" type="password" class="form-control @error('password') is-invalid @enderror" name="password" {{--required autocomplete="new-password"--}}>
 
-                                @error('password')
-                                    <span class="invalid-feedback" role="alert">
-                                        <strong>{{ $message }}</strong>
-                                    </span>
-                                @enderror
                             </div>
                         </div>
 
@@ -65,17 +50,33 @@
                             <label for="password-confirm" class="col-md-4 col-form-label text-md-right">{{ __('confirm password') }}</label>
 
                             <div class="col-md-6">
-                                <input id="password-confirm" type="password" class="form-control" name="password_confirmation" required autocomplete="new-password">
+                                <input id="password-confirm" type="password" class="form-control" name="password_confirmation" {{--required autocomplete="new-password"--}}>
                             </div>
                         </div>
 
-
                             <div class="col-md-12">
                                 <button type="submit" class="btn button-square">
                                     {{ __('Register') }}
                                 </button>
                             </div>
 
+                        @if($errors->any())
+                            <div class="col-md-6 offset-md-2">
+                                <span class="text white pin-left" role="alert">
+                                    <p> </p>
+                                    @error('email')
+                                             <p class="text">{{ $message }}</p>
+                                     @enderror
+                                    @error('password')
+                                             <p class="text">{{ $message }}</p>
+                                     @enderror
+                                    @error('name')
+                                             <p class="text">{{ $message }}</p>
+                                     @enderror
+                                </span>
+                            </div>
+                        @endif
+
                     </form>
                 </div>
             </div>