commit 86b3ae27628a7982b19184dede5611216e2ab5ff
Author: Marek Lovčí <mareklovci@gmail.com>
Date:   Thu Jun 4 08:02:30 2020 +0200

    Arrow style hotfix

diff --git a/resources/sass/_custom.scss b/resources/sass/_custom.scss
index a57ec11..be4ad9b 100644
--- a/resources/sass/_custom.scss
+++ b/resources/sass/_custom.scss
@@ -965,26 +965,19 @@ body {
             align-items: baseline;
 
             .book-arrow {
-                &:after {
-                    content: '';
-                    bottom: 3rem;
-                    position: absolute;
-                    border-top: 1.25rem solid transparent;
-                    border-bottom: 1.25rem solid transparent;
-                }
+                border-top: 1.25rem solid transparent;
+                border-bottom: 1.25rem solid transparent;
+                display: block;
+                position: relative;
+                top: 1rem;
             }
 
             .book-arrow-left {
-                &:after {
-                    left: 1.5625rem;
-                    border-right: 1.25rem solid $theme-color-two;
-                }
+                border-right: 1.25rem solid $theme-color-two;
             }
 
             .book-arrow-right {
-                &:after {
-                    border-left: 1.25rem solid $theme-color-two;
-                }
+                border-left: 1.25rem solid $theme-color-two;
             }
 
             .likes {
@@ -1010,13 +1003,13 @@ body {
                 }
 
                 .inter_like {
-                    &:before{
+                    &:before {
                         background-image: url(../images/interface/Heart_Empty.svg);
                     }
                 }
 
                 .inter_like_filled {
-                    &:before{
+                    &:before {
                         background-image: url(../images/interface/Heart_Filled.svg);
                     }
                 }
diff --git a/resources/views/charts/index.blade.php b/resources/views/charts/index.blade.php
index 1b3050d..39fd6bc 100644
--- a/resources/views/charts/index.blade.php
+++ b/resources/views/charts/index.blade.php
@@ -19,12 +19,10 @@
                                             <h5 class="card-title highlight-white">{{$artefact->name}}</h5>
                                         </a>
                                         <h6 class="card-title ">{{$artefact->author}}</h6>
-
                                     </div>
-                                    <div class="p-1 flex-fill bd-highlight float-center">
+                                    <div class="p-1 flex-fill bd-highlight">
                                         <div class="text-center right_panel_info">
-
-                                            <div class="charts float-center">
+                                            <div class="charts float-right">
                                                 @if (!$artefact->favourite)
                                                     <a href="{{  action('ArtefactController@like', ['id' => $artefact->id]) }}">
                                                         <button id="like_butt_{{$artefact->id}}" type="button"
diff --git a/resources/views/components/books.blade.php b/resources/views/components/books.blade.php
index 947df66..35e833c 100644
--- a/resources/views/components/books.blade.php
+++ b/resources/views/components/books.blade.php
@@ -1,96 +1,113 @@
 @foreach($artefacts as $artefact)
-<div class="container books-component">
-    <div class="row mt-5">
+    <div class="container books-component">
+        <div class="row mt-5">
 
-        <div class="col-md-6 book-area">
-            @if (!is_null($artefact))
-                <div class="artefact-area">
-                    <div class="card">
-                        <a href="#imageModal" data-toggle="modal">
-                            <img class="card-img-top" src="{{asset('images/artefacts/book_cover_01.jpg')}}" width="100%" height=auto alt="book_cover">
-                        </a>
-                    </div>
-                </div>
-            @endif
-        </div>
+            <div class="col-md-6 book-area">
+                @if (!is_null($artefact))
+                    <div class="artefact-area">
+                        <div class="card">
+                            <a href="#imageModal" data-toggle="modal">
+                                <img class="card-img-top" src="{{asset('images/artefacts/book_cover_01.jpg')}}"
+                                     width="100%" height=auto alt="book_cover">
+                            </a>
 
-        <div class="col-md-6 info-area">
-            <div class="artefact-info">
-                <h3 class="switch-view"><a onclick="switchView()">notes</a></h3>
-                <h3 class="artefact-name">{{$artefact->name}}</h3>
-                <h4 class="artefact-author">{{$artefact->author}}</h4>
-                <p>
-                    Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc tincidunt, ex id blandit placerat, dolor nibh venenatis dui, nec malesuada odio sem a leo. Nunc vulputate augue neque.
-                    Donec pulvinar sollicitudin arcu eget sagittis. Sed auctor, enim vel facilisis sodales, felis tellus rutrum quam, ac feugiat leo mauris ac purus. Nam placerat sed risus ut suscipit.
-                    Sed rutrum arcu eget mi fermentum ultrices. Donec egestas volutpat eros, ut tincidunt dolor pulvinar vitae.
-                </p>
-                <p>
-                    Curabitur sem elit, imperdiet ac laoreet vitae, rhoncus quis risus. Suspendisse varius dolor sem, at egestas massa suscipit non.
-                    Morbi sit amet dictum metus, sit amet sollicitudin nibh. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc mattis leo convallis aliquam scelerisque.
-                    Praesent vulputate porttitor quam at egestas. Proin eget orci ligula. Aenean malesuada, eros vitae convallis sagittis, neque leo ullamcorper ante, eu ultricies justo justo in lacus.
-                </p>
-            </div>
-
-            <div class="artefact-notes">
-                <button type="button" class="btn btn-primary button-image inter_info" onclick="switchView()"></button>
-                <h3 class="artefact-name">{{$artefact->name}}</h3>
-                <h4 class="artefact-author">{{$artefact->author}}</h4>
-                @if(count($artefact->metadata) > 0)
-                    @foreach($artefact->metadata as $meta)
-                        <div  id="row_{{$meta->id}}" class="row text-page">
-                            <div class="pin-horizontal">
-                                <div class="metadata">
-                                    <a href="#meta_{{$meta->id}}" data-toggle="collapse" data-target="#meta_{{$meta->id}}" onclick="openNote('#row_{{$meta->id}}')">
-                                        <span>page {{$meta->page}}</span>
-                                    </a>
-                                    <a href="#meta_{{$meta->id}}" class="arrow-down" data-toggle="collapse" data-target="#meta_{{$meta->id}}" onclick="openNote('#row_{{$meta->id}}')"></a>
-                                </div>
-                            </div>
-                            <div id="meta_{{$meta->id}}" class="metadata-text collapse">
-                                <p>
-                                    {{$meta->noteEN}}
-                                </p>
-                                <div class="text-center">
-                                    @if ($meta->favourite)
-                                        <a href="{{  action('DetailsController@unlike', ['id' => $meta->id]) }}">
-                                            <button id="like_butt_{{$meta->id}}" type="button" class="btn btn-primary button-image inter_like_filled"></button>
+                            {{-- Buttons --}}
+                            <div class="card-cus-bottom">
+                                <a class="book-arrow book-arrow-left artefact-link previous-artefact {{$artefacts->onFirstPage() ? "invisible" : "visible"}}"
+                                   href="{{$artefacts->previousPageUrl()}}"></a>
+                                <div class="likes">
+                                    @if ($artefact->favourite)
+                                        <a href="{{  action('ArtefactController@unlike', ['id' => $artefact->id]) }}">
+                                            <button id="like_butt_{{$artefact->id}}" type="button"
+                                                    class="btn btn-primary button-image inter_like_filled"></button>
                                         </a>
                                     @else
-                                        <a href="{{  action('DetailsController@like', ['id' => $meta->id]) }}">
-                                            <button id="like_butt_{{$meta->id}}" type="button" class="btn btn-primary button-image inter_like"></button>
+                                        <a href="{{  action('ArtefactController@like', ['id' => $artefact->id]) }}">
+                                            <button id="like_butt_{{$artefact->id}}" type="button"
+                                                    class="btn btn-primary button-image inter_like"></button>
                                         </a>
                                     @endif
+                                    <h6 class="artefact-likes">{{$artefact->likes}}</h6>
                                 </div>
+                                <a class="book-arrow book-arrow-right artefact-link next-artefact {{$artefacts->hasMorePages() ? "visible" : "invisible"}}"
+                                   href="{{$artefacts->nextPageUrl()}}"></a>
                             </div>
-                        </div>
 
-                    @endforeach
-                @else
-                    <h2>No metadata yet!</h2>
+                        </div>
+                    </div>
                 @endif
             </div>
-        </div>
 
-        <div class="book-area col-md-12">
-            <div class="card-cus-bottom">
-                <a class="book-arrow book-arrow-left artefact-link previous-artefact {{$artefacts->onFirstPage() ? "invisible" : "visible"}}" href="{{$artefacts->previousPageUrl()}}"></a>
-                <div class="likes offset-7">
-                    @if ($artefact->favourite)
-                        <a href="{{  action('ArtefactController@unlike', ['id' => $artefact->id]) }}">
-                            <button id="like_butt_{{$artefact->id}}" type="button" class="btn btn-primary button-image inter_like_filled"></button>
-                        </a>
+            <div class="col-md-6 info-area">
+                <div class="artefact-info">
+                    <h3 class="switch-view"><a onclick="switchView()">notes</a></h3>
+                    <h3 class="artefact-name">{{$artefact->name}}</h3>
+                    <h4 class="artefact-author">{{$artefact->author}}</h4>
+                    <p>
+                        Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc tincidunt, ex id blandit placerat,
+                        dolor nibh venenatis dui, nec malesuada odio sem a leo. Nunc vulputate augue neque.
+                        Donec pulvinar sollicitudin arcu eget sagittis. Sed auctor, enim vel facilisis sodales, felis
+                        tellus rutrum quam, ac feugiat leo mauris ac purus. Nam placerat sed risus ut suscipit.
+                        Sed rutrum arcu eget mi fermentum ultrices. Donec egestas volutpat eros, ut tincidunt dolor
+                        pulvinar vitae.
+                    </p>
+                    <p>
+                        Curabitur sem elit, imperdiet ac laoreet vitae, rhoncus quis risus. Suspendisse varius dolor
+                        sem, at egestas massa suscipit non.
+                        Morbi sit amet dictum metus, sit amet sollicitudin nibh. Lorem ipsum dolor sit amet, consectetur
+                        adipiscing elit. Nunc mattis leo convallis aliquam scelerisque.
+                        Praesent vulputate porttitor quam at egestas. Proin eget orci ligula. Aenean malesuada, eros
+                        vitae convallis sagittis, neque leo ullamcorper ante, eu ultricies justo justo in lacus.
+                    </p>
+                </div>
+
+                <div class="artefact-notes">
+                    <button type="button" class="btn btn-primary button-image inter_info"
+                            onclick="switchView()"></button>
+                    <h3 class="artefact-name">{{$artefact->name}}</h3>
+                    <h4 class="artefact-author">{{$artefact->author}}</h4>
+                    @if(count($artefact->metadata) > 0)
+                        @foreach($artefact->metadata as $meta)
+                            <div id="row_{{$meta->id}}" class="row text-page">
+                                <div class="pin-horizontal">
+                                    <div class="metadata">
+                                        <a href="#meta_{{$meta->id}}" data-toggle="collapse"
+                                           data-target="#meta_{{$meta->id}}" onclick="openNote('#row_{{$meta->id}}')">
+                                            <span>page {{$meta->page}}</span>
+                                        </a>
+                                        <a href="#meta_{{$meta->id}}" class="arrow-down" data-toggle="collapse"
+                                           data-target="#meta_{{$meta->id}}"
+                                           onclick="openNote('#row_{{$meta->id}}')"></a>
+                                    </div>
+                                </div>
+                                <div id="meta_{{$meta->id}}" class="metadata-text collapse">
+                                    <p>
+                                        {{$meta->noteEN}}
+                                    </p>
+                                    <div class="text-center">
+                                        @if ($meta->favourite)
+                                            <a href="{{  action('DetailsController@unlike', ['id' => $meta->id]) }}">
+                                                <button id="like_butt_{{$meta->id}}" type="button"
+                                                        class="btn btn-primary button-image inter_like_filled"></button>
+                                            </a>
+                                        @else
+                                            <a href="{{  action('DetailsController@like', ['id' => $meta->id]) }}">
+                                                <button id="like_butt_{{$meta->id}}" type="button"
+                                                        class="btn btn-primary button-image inter_like"></button>
+                                            </a>
+                                        @endif
+                                    </div>
+                                </div>
+                            </div>
+
+                        @endforeach
                     @else
-                        <a href="{{  action('ArtefactController@like', ['id' => $artefact->id]) }}">
-                            <button id="like_butt_{{$artefact->id}}" type="button" class="btn btn-primary button-image inter_like"></button>
-                        </a>
+                        <h2>No metadata yet!</h2>
                     @endif
-                    <h6 class="artefact-likes">{{$artefact->likes}}</h6>
                 </div>
-                <a class="book-arrow book-arrow-right artefact-link next-artefact {{$artefacts->hasMorePages() ? "visible" : "invisible"}}" href="{{$artefacts->nextPageUrl()}}"></a>
             </div>
         </div>
     </div>
-</div>
 @endforeach
 
 <!-- Image modal -->
@@ -100,49 +117,42 @@
             <span aria-hidden="true">&times;</span>
         </button>
         <div class="modal-content">
-            <img class="card-img-top" src="{{asset('images/artefacts/book_cover_01.jpg')}}" width="100%" height=auto alt="book_cover">
+            <img class="card-img-top" src="{{asset('images/artefacts/book_cover_01.jpg')}}" width="100%" height=auto
+                 alt="book_cover">
         </div>
     </div>
 </div>
 
 <script>
-    function switchView()
-    {
+    function switchView() {
         let info = $('.artefact-info');
         let notes = $('.artefact-notes');
 
-        if (notes.css('display') === 'none')
-        {
+        if (notes.css('display') === 'none') {
             notes.css('display', 'block');
             info.css('display', 'none');
 
             let parent_width = notes.width();
 
-            $(".metadata").each(function() {
+            $(".metadata").each(function () {
                 let metadata = $(this);
                 let width = metadata.width();
 
-                metadata.css("margin-left", (parent_width / 2)  - width);
+                metadata.css("margin-left", (parent_width / 2) - width);
             });
-        }
-        else
-        {
+        } else {
             notes.css('display', 'none');
             info.css('display', 'block');
         }
     }
 
-    function openNote(element)
-    {
+    function openNote(element) {
         let metadata = $(element);
         let showed = metadata.find(".metadata-text").hasClass('show');
 
-        if (showed === false)
-        {
+        if (showed === false) {
             metadata.find('.pin-horizontal').addClass("white-pin");
-        }
-        else
-        {
+        } else {
             metadata.find('.pin-horizontal').removeClass("white-pin");
         }
 