commit 8baafb46066c00e86117b8ba92a3ed1ed7d364ab
Author: zabran <zabran@students.zcu.cz>
Date:   Tue Apr 28 22:12:57 2020 +0200

    Issue #7952 @1.75h
    První trošku použitelné side-menu.
    Vzdálenosti jsou zatím ad hoc a v SCSS jsem nechal nepořádek, který pak uklidím.

diff --git a/resources/sass/_custom.scss b/resources/sass/_custom.scss
index 5b1b662..c3dff67 100644
--- a/resources/sass/_custom.scss
+++ b/resources/sass/_custom.scss
@@ -349,6 +349,8 @@ body {
 
         &:before {
             background-image : url(../images/Button_Arrow_Small.png);
+            //height: 0.9685rem;
+            //width: 0.59055rem;
         }
 
         &:hover {
@@ -421,6 +423,31 @@ body {
     }
 }
 
+.arrow-left {
+    position: absolute;
+    width: 0;
+    height: 0;
+    margin-top: 50px;
+    //height: 0.9685rem;
+    //width: 0.59055rem;
+    margin-left: 90%;
+    border-top: 0.59055rem solid transparent;
+    border-bottom: 0.59055rem solid transparent;
+
+    border-right:0.59055rem solid $theme-color-four;
+}
+.arrow-right {
+    position: absolute;
+    top: 0;
+    width: 0;
+    height: 0;
+    margin: 50px;
+    border-top: 0.59055rem solid transparent;
+    border-bottom: 0.59055rem solid transparent;
+
+    border-left:0.59055rem solid $theme-color-four;
+}
+
 .sidenav {
     height: 100%;
     width: 0;
@@ -428,32 +455,34 @@ body {
     z-index: 1;
     top: 0;
     left: 0;
-    background-color: #111;
+    //margin-top: 50px;
+    background-color: $theme-color-five;
     overflow-x: hidden;
     transition: 0.5s;
-    padding-top: 60px;
+    //padding-top: 60px;
 }
 
 .sidenav a {
-    padding: 8px 8px 8px 32px;
+    //padding: 8px 8px 8px 50px;
     text-decoration: none;
-    font-size: 25px;
-    color: #818181;
+    //font-size: 25px;
+    color: $theme-color-four;
     display: block;
     transition: 0.3s;
 }
 
 .sidenav a:hover {
-    color: #f1f1f1;
+    color: $theme-color-five;
+    background-color: $theme-color-one;
 }
 
-.sidenav .closebtn {
+/*.sidenav .closebtn {
     position: absolute;
     top: 0;
     right: 25px;
     font-size: 36px;
     margin-left: 50px;
-}
+}*/
 
 @media screen and (max-height: 450px) {
     .sidenav {padding-top: 15px;}
diff --git a/resources/views/inc/sidebar.blade.php b/resources/views/inc/sidebar.blade.php
index 244870c..fa66f30 100644
--- a/resources/views/inc/sidebar.blade.php
+++ b/resources/views/inc/sidebar.blade.php
@@ -1,5 +1,9 @@
 <div id="mySidenav" class="sidenav">
-    <a href="javascript:void(0)" class="closebtn" onclick="closeNav()">&times;</a>
+    <a href="javascript:void(0)" class="arrow-left" style="cursor:pointer" onclick="closeNav()"></a>
+    <li class="nav-item"></li>
+    <li class="nav-item"></li>
+    <li class="nav-item"></li>
+    <li class="nav-item"></li>
         @guest
         <li class="nav-item">
             <a class="nav-link" href="{{ route('login') }}">{{ __('Login') }}</a>
@@ -11,16 +15,16 @@
         @endif
         @else
         <li class="nav-item dropdown">
-            <a id="navbarDropdown" class="nav-link dropdown-toggle" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
+           {{-- <a id="navbarDropdown" class="nav-link dropdown-toggle" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                 {{ Auth::user()->name }} <span class="caret"></span>
             </a>
 
-            <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdown">
-                <a class="dropdown-item" href="{{ url('/favartefacts') }}">Favorite artefacts</a>
+            <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdown">--}}
+                <a class="dropdown-item text-headline" href="{{ url('/favartefacts') }}">Favorite artefacts</a>
 
-                <a class="dropdown-item" href="{{ url('/favmetadata') }}">Favorite metadata</a>
+                <a class="dropdown-item text-headline" href="{{ url('/favmetadata') }}">Favorite metadata</a>
 
-                <a class="dropdown-item" href="{{ route('logout') }}"
+                <a class="dropdown-item text-headline" href="{{ route('logout') }}"
                    onclick="event.preventDefault();
                                                      document.getElementById('logout-form').submit();">
                     {{ __('Logout') }}
@@ -29,17 +33,17 @@
                 <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                     @csrf
                 </form>
-            </div>
+            {{-- </div>--}}
         </li>
         @endguest
 
 </div>
 
-<span style="font-size:30px;cursor:pointer;background-color: #3f9ae5" onclick="openNav()">&#9776; open</span>
+<span class="arrow-right" style="cursor:pointer" onclick="openNav()"></span>
 
 <script>
     function openNav() {
-        document.getElementById("mySidenav").style.width = "250px";
+        document.getElementById("mySidenav").style.width = "50vh";
     }
 
     function closeNav() {