commit 8bb7ed683e5170edd4b8f03a0572f766b4b486b1
Author: Marek Lovčí <mareklovci@gmail.com>
Date:   Thu May 21 17:22:49 2020 +0200

    Fast fix

diff --git a/resources/lang/en/general.php b/resources/lang/en/general.php
index 4cbc184..a5c5141 100644
--- a/resources/lang/en/general.php
+++ b/resources/lang/en/general.php
@@ -27,6 +27,7 @@ return [
 
     'home' => 'home',
     'login' => 'login',
+    'logout' => 'logout',
     'register' => 'register',
     'topics' => 'topics',
     'artefacts' => 'books',
diff --git a/resources/sass/_custom.scss b/resources/sass/_custom.scss
index b281c29..7244d9f 100644
--- a/resources/sass/_custom.scss
+++ b/resources/sass/_custom.scss
@@ -68,6 +68,8 @@ body {
         .carousel-caption {
             top: 50%;
             bottom: auto;
+            padding-left: 1rem;
+            padding-right: 1rem;
             transform: translateY(-50%);
             background-color: rgba(239, 218, 179, 0.5);
         }
@@ -304,15 +306,15 @@ body {
         }
     }
 
-    .fav-cat-mybooks{
-        color:$theme-color-two;
+    .fav-cat-mybooks {
+        color: $theme-color-two;
         text-align: center;
         font-size: 1.9rem;
     }
 
-    .fav-cat-nofav{
+    .fav-cat-nofav {
         text-align: center;
-        color:$theme-color-three;
+        color: $theme-color-three;
         background-color: $theme-color-five;
         border-color: $theme-color-three;
     }
@@ -348,14 +350,14 @@ body {
 
         .left_panel_info {
             margin-top: 15px;
-            max-width: 70%;//250px
+            max-width: 70%; //250px
         }
 
         .right_panel_info {
             margin-top: 15px;
         }
 
-        .likes_text{
+        .likes_text {
             text-align: center;
         }
 
@@ -371,8 +373,8 @@ body {
                 background-image: url(../images/interface/Button_Info.svg);
                 //width: 60px;
                 //height: 60px;
-                width:8vw;
-                height:8vw;
+                width: 8vw;
+                height: 8vw;
             }
         }
 
@@ -384,8 +386,8 @@ body {
                 background-image: url(../images/interface/Heart_Empty.svg);
                 //width: 60px;
                 //height: 60px;
-                width:8vw;
-                height:8vw;
+                width: 8vw;
+                height: 8vw;
             }
         }
 
@@ -395,8 +397,8 @@ body {
                 background-image: url(../images/interface/Heart_Filled.svg);
                 //width: 60px;
                 //height: 60px;
-                width:8vw;
-                height:8vw;
+                width: 8vw;
+                height: 8vw;
             }
         }
 
@@ -709,7 +711,7 @@ body {
         font-size: 22pt;
 
         //SPACING
-        padding: 4rem 0.5rem;
+        padding: 4rem 1rem;
 
         &:active, &:focus {
             background-color: $theme-color-three;
@@ -726,9 +728,9 @@ body {
     }
 
     //CATEGORIES - Choose a topic TITLE
-    .head-title.text-center.cat-main-topic{
+    .head-title.text-center.cat-main-topic {
 
-        h1{
+        h1 {
             font-size: 1.9rem;
         }
     }
@@ -741,25 +743,12 @@ body {
     width: 100%;
     top: 0;
     z-index: 2;
+
     .shadow {
         box-shadow: none;
     }
 }
 
-.separator {
-    position: relative;
-    z-index : 5;
-    &:before{
-        width: 50%;
-        content : "";
-        position: absolute;
-        left    : 0;
-        bottom  : 0;
-        height  : 1px;
-        border-bottom:1px solid $theme-color-five;
-    }
-}
-
 .sidenav {
     height: 100%;
     width: 0;
@@ -790,7 +779,7 @@ body {
     }
 }
 
-.bar-desktop{
+.bar-desktop {
     display: flex;
     align-items: center;
     text-align: center;
@@ -808,11 +797,12 @@ body {
     margin-bottom: 3rem;
 }
 
-.menu-item{
-    padding: 0.25rem 0.25rem;
+.menu-item {
+    padding: 0.25rem 1rem;
     width: 100%;
     border: 0;
-    &:active, &.active, &:focus{
+
+    &:active, &.active, &:focus {
         color: $theme-color-one;
         //background-color: $theme-color-five;
         border: none;
@@ -824,13 +814,14 @@ body {
 .logo-kaplicky {
     text-align: center;
     display: none;
-    &:active, &.active, &:focus{
+
+    &:active, &.active, &:focus {
         outline: none;
         box-shadow: none;
     }
 }
 
-.navbar{
+.navbar {
     padding: unset;
 }
 
@@ -881,10 +872,10 @@ body {
             }
 
             .book-arrow-right {
-               &:after {
-                   right: 25%;
-                   border-left: 1.25rem solid $theme-color-two;
-               }
+                &:after {
+                    right: 25%;
+                    border-left: 1.25rem solid $theme-color-two;
+                }
             }
 
             .likes {
@@ -894,6 +885,7 @@ body {
 
                 .inter_like, .inter_like_filled {
                     margin: 0 auto;
+
                     &:before {
                         margin-right: 0;
                         height: 5rem;
@@ -1080,8 +1072,8 @@ body {
 }
 
 @media (max-width: 770px) {
-    .logo-kaplicky{
-        width: 100%;
+    .logo-kaplicky {
+        margin: 0 auto;
         display: block;
     }
     .arrow {
@@ -1091,7 +1083,8 @@ body {
         margin: 2rem;
         cursor: pointer;
         border: 0.59055rem solid transparent;
-        &:active, &.active, &:focus{
+
+        &:active, &.active, &:focus {
             outline: none;
             box-shadow: none;
         }
@@ -1110,15 +1103,15 @@ body {
         top: 0;
         left: 0;
     }
-    .bar-desktop{
+    .bar-desktop {
         display: none;
     }
-    .menu-item:active, .menu-item.active{
+    .menu-item:active, .menu-item.active {
         color: $theme-color-five;
         background-color: $theme-color-one;
     }
     .books-component {
-        .info-area{
+        .info-area {
             padding-left: 1.5625rem;
         }
     }
@@ -1135,7 +1128,6 @@ body {
     }
 
 
-
     /*.btn-circle.rounded-circle.btn-sm
     {
         width: 90px;
@@ -1181,7 +1173,7 @@ body {
 @media (min-width: 1024px) {
 
     body {
-        .kaplicky{
+        .kaplicky {
             text-align: left !important;
             font-size: 24pt;
             line-height: 24pt;
@@ -1211,12 +1203,13 @@ body {
                         }
                     }
                 }
+
                 .carousel-button {
                     bottom: 15%;
                 }
             }
 
-            .carousel-caption{
+            .carousel-caption {
                 padding: 3.75rem 6.25rem 5em;
 
                 h2 {
@@ -1244,18 +1237,3 @@ body {
         }
     }
 }
-
-@media (min-width: 1900px) {
-
-    body {
-        .carousel {
-            .carousel-inner {
-                .carousel-button {
-                    transform: none;
-                    left: 76%;
-                    bottom: 25%;
-                }
-            }
-        }
-    }
-}
diff --git a/resources/views/auth/register.blade.php b/resources/views/auth/register.blade.php
index 630beb0..10a4b74 100644
--- a/resources/views/auth/register.blade.php
+++ b/resources/views/auth/register.blade.php
@@ -71,7 +71,7 @@
                                     <div class="row">
                                         <div class="col-md-12">
                                             <button type="submit" class="btn button-square">
-                                                {{ __('Register') }}
+                                                {{ __('general.register') }}
                                             </button>
                                         </div>
                                     </div>
@@ -81,13 +81,13 @@
                                             <div class="col-sm-12">
                                                 <div class="text white pin-left" role="alert">
                                                     <div class="al">
-                                                        @error('email')
+                                                        @error('name')
                                                         <p class="text">{{ $message }}</p>
                                                         @enderror
-                                                        @error('password')
+                                                        @error('email')
                                                         <p class="text">{{ $message }}</p>
                                                         @enderror
-                                                        @error('name')
+                                                        @error('password')
                                                         <p class="text">{{ $message }}</p>
                                                         @enderror
                                                     </div>
diff --git a/resources/views/inc/sidebar.blade.php b/resources/views/inc/sidebar.blade.php
index 6a46642..ede3b87 100644
--- a/resources/views/inc/sidebar.blade.php
+++ b/resources/views/inc/sidebar.blade.php
@@ -1,9 +1,6 @@
 <div id="sidebar" class="sidenav">
     <a href="javascript:void(0)" class="arrow arrow-left" onclick="closeNav()"></a>
-    <li class="nav-item"> &#160;</li>
-    <li class="nav-item"> &#160;</li>
-    <li class="nav-item"> &#160;</li>
-    <li class="nav-item"> &#160;</li>
+    <ul style="padding-left: 0; margin-top: 5rem;">
     @guest
         <li class="nav-item">
             <a class="menu-item text-headline" href="{{ url('/') }}">
@@ -21,7 +18,7 @@
             </li>
         @endif
     @else
-        <li class="nav-item separator">
+        <li class="nav-item">
             <a class="menu-item text-headline" href="{{ url('/') }}">
                 {{ __('general.home') }}
             </a>
@@ -54,7 +51,7 @@
             <a class="menu-item text-headline" href="{{ route('logout') }}" onclick="
             event.preventDefault();
             document.getElementById('logout-form').submit();">
-                {{ __('logout') }}
+                {{ __('general.logout') }}
             </a>
 
             <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
@@ -62,7 +59,7 @@
             </form>
         </li>
     @endguest
-
+    </ul>
 </div>
 
 <nav class="navbar navbar-expand-md navbar-light top-bar">
@@ -116,7 +113,7 @@
         <a class="menu-item text-headline-desktop" href="{{ route('logout') }}" onclick="
             event.preventDefault();
             document.getElementById('logout-form').submit();">
-            {{ __('logout') }}
+            {{ __('general.logout') }}
         </a>
 
         <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">