commit a37ca88b5dde86682c09c245410e33c4a82cbe3a
Author: zabran <zabran@students.zcu.cz>
Date:   Sun May 24 23:02:20 2020 +0200

    Issue #8009 @3h
    Mírné úpravy.
    Errory v loginu a registraci z neznámého důvodu úplně zmizely (efekt platný před provedením změn).
    V artefaktech, oblíbených artefaktech a charts je chaos.
    U charts se mi stále nedaří vytvořit view.

diff --git a/resources/sass/_custom.scss b/resources/sass/_custom.scss
index 7244d9f..6a4a211 100644
--- a/resources/sass/_custom.scss
+++ b/resources/sass/_custom.scss
@@ -165,7 +165,11 @@ body {
             border-radius: 0;
 
             &:focus {
-                border-color: $theme-color-one;
+                //border-color: $theme-color-one;
+                border-top-color: $theme-color-five;
+                border-left-color: $theme-color-five;
+                border-right-color: $theme-color-five;
+                border-bottom-color: 0.5pt $theme-color-one;
                 -webkit-box-shadow: none;
                 box-shadow: none;
             }
@@ -1175,8 +1179,11 @@ body {
     body {
         .kaplicky {
             text-align: left !important;
-            font-size: 24pt;
+            //font-size: 24pt;
+            font-size: 30pt;
             line-height: 24pt;
+            margin-bottom: 3rem;
+            //margin-left: 1rem;
         }
 
         .text {
@@ -1184,6 +1191,11 @@ body {
             font-size: 18pt;
             line-height: 26pt;
         }
+        .text2 {
+            text-align: left;
+            font-size: 18pt;
+            line-height: 26pt;
+        }
 
         .carousel {
             .carousel-inner {
diff --git a/resources/views/auth/login.blade.php b/resources/views/auth/login.blade.php
index e98cef7..2a615d5 100644
--- a/resources/views/auth/login.blade.php
+++ b/resources/views/auth/login.blade.php
@@ -19,10 +19,19 @@
                                 <form method="POST" action="{{ route('login') }}">
                                     @csrf
 
-                                    <label for="logo" class="col-md-4 kaplicky">{{ __('kaplicky') }}</label>
+                                    <label for="logo" class="col-md-12 row kaplicky justify-content-center" >{{ __('kaplicky') }}</label>
 
-                                    <div class="form-group row">
-                                        <label for="email" class="col-md-4 col-form-label text-md-right">
+                                    {{--<label for="email" class="col-md-8 col-form-label text-md-left row justify-content-center">
+                                        {{ __('general.email') }}
+                                    </label>
+                                    <div class="col-md-4 offset-md-12 row justify-content-center">
+                                        <input id="email" type="email"
+                                               class="form-control text2 @error('email') is-invalid @enderror"
+                                               name="email"
+                                               value="{{ old('email') }}" --}}{{--required autocomplete="email" autofocus--}}{{-->
+                                    </div>--}}
+                                    <div class="form-group row ">
+                                        <label for="email" class="col-md-4 col-form-label text-md-right text">
                                             {{ __('general.email') }}
                                         </label>
 
@@ -35,7 +44,7 @@
                                     </div>
 
                                     <div class="form-group row">
-                                        <label for="password" class="col-md-4 col-form-label text-md-right">
+                                        <label for="password" class="col-md-4 col-form-label text-md-right text">
                                             {{ __('general.password') }}
                                         </label>
 
diff --git a/resources/views/auth/register.blade.php b/resources/views/auth/register.blade.php
index 10a4b74..02cd772 100644
--- a/resources/views/auth/register.blade.php
+++ b/resources/views/auth/register.blade.php
@@ -22,7 +22,7 @@
                                     <label for="logo" class="col-md-4 kaplicky">{{ __('kaplicky') }}</label>
                                     <div class="form-group row">
                                         <label for="name"
-                                               class="col-md-4 col-form-label text-md-right">{{ __('name') }}</label>
+                                               class="col-md-4 col-form-label text text-md-right">{{ __('name') }}</label>
 
                                         <div class="col-md-6">
                                             <input id="name" type="text"
@@ -35,7 +35,7 @@
 
                                     <div class="form-group row">
                                         <label for="email"
-                                               class="col-md-4 col-form-label text-md-right">{{ __('e-mail') }}</label>
+                                               class="col-md-4 col-form-label text text-md-right">{{ __('e-mail') }}</label>
 
                                         <div class="col-md-6">
                                             <input id="email" type="email @error('email') is-invalid @enderror"
@@ -48,11 +48,11 @@
 
                                     <div class="form-group row">
                                         <label for="password"
-                                               class="col-md-4 col-form-label text-md-right">{{ __('password') }}</label>
+                                               class="col-md-4 col-form-label text text-md-right">{{ __('password') }}</label>
 
                                         <div class="col-md-6">
                                             <input id="password" type="password"
-                                                   class="form-control @error('password') is-invalid @enderror"
+                                                   class="form-control text2 @error('password') is-invalid @enderror"
                                                    name="password" {{--required autocomplete="new-password"--}}>
 
                                         </div>
@@ -60,10 +60,10 @@
 
                                     <div class="form-group row">
                                         <label for="password-confirm"
-                                               class="col-md-4 col-form-label text-md-right">{{ __('confirm password') }}</label>
+                                               class="col-md-4 col-form-label text text-md-right">{{ __('confirm password') }}</label>
 
                                         <div class="col-md-6">
-                                            <input id="password-confirm" type="password" class="form-control"
+                                            <input id="password-confirm" type="password" class="form-control text2"
                                                    name="password_confirmation" {{--required autocomplete="new-password"--}}>
                                         </div>
                                     </div>