commit aee273580fe93a582c30c2016a1951954b5995ec
Author: zabran <zabran@students.zcu.cz>
Date:   Mon Apr 27 11:51:05 2020 +0200

    Issue #7849 @1.5h
    Předělání fontů na proměnné.
    Přidání špedlíku v loginu u špatného hesla/mailu - ještě je špatně odsazení textu a celého špendlíku + je třeba to samé dát do registrace.
    Předělání ostatních chybových hlášek (e-mail nesedící na e-mail reg-exe) zatím chybí.

diff --git a/resources/sass/_custom.scss b/resources/sass/_custom.scss
index 5a07755..c6072ff 100644
--- a/resources/sass/_custom.scss
+++ b/resources/sass/_custom.scss
@@ -1,12 +1,11 @@
 // Ready for custom styling
 
 body {
-    //font-family: 'Nunito Sans', sans-serif;
     background-color: $theme-color-five;
 
     .head-title h1 {
         color: $theme-color-one;
-        font-family: Avenir;
+        font-family: $font-family-avenir-roman;
         font-size: 60pt;
         font-weight: bold;
         letter-spacing: 3px;
@@ -60,7 +59,7 @@ body {
             background-color:  rgba(239, 218, 179, 0.5);
 
             /*h2 {
-                font-family: Avenir Black;
+                font-family: $font-family-avenir-black;
                 font-size: 11pt;
                 letter-spacing: 3pt;
                 color: $white;
@@ -77,14 +76,14 @@ body {
     /////////text types
     //většina běžných textů
     .text {
-        font-family: Avenir Roman;
+        font-family: $font-family-avenir-roman;
         font-size: 8pt;
         line-height: 9pt;
     }
 
     //text inputu a název artefaktů
     .text2{
-        font-family: Avenir Medium;
+        font-family: $font-family-avenir-medium;
         font-size: 8pt;
     }
 
@@ -92,37 +91,48 @@ body {
     .kaplicky{
         color: $theme-color-one;
         font-size: 11pt;
-        font-family: Avenir Black;
+        font-family: $font-family-avenir-black;
         letter-spacing: 3pt;
     }
 
     //autor artefaktu
     .text-author{
-        font-family: Avenir Roman;
+        font-family: $font-family-avenir-roman;
         font-size: 7pt;
         color: $theme-color-four;
     }
 
     //počet lajků
     .text-number{
-        font-family: Avenir Medium;
+        font-family: $font-family-avenir-medium;
         font-size: 5pt;
         color: $theme-color-four;
     }
 
     //notes u metadat, about v about, text levého menu
     .text-headline{
-        font-family: Avenir Medium;
+        font-family: $font-family-avenir-medium;
         font-size: 12pt;
         color: $theme-color-four;
     }
 
     //název metadata, text pravého menu
     .text-page{
-        font-family: Avenir Medium;
+        font-family: $font-family-avenir-medium;
         font-size: 7pt;
     }
 
+    ////color pro změnu jen barvy
+    .black{
+        color: $theme-color-five;
+    }
+    .white{
+        color: $theme-color-one;
+    }
+    .colored{
+        color: $theme-color-four;
+    }
+
 
     ////login
     .auth{
@@ -140,14 +150,12 @@ body {
         .form-control{
             padding: 0px;
             height: 17pt;
-            //font-family: Avenir Medium;
-            //font-size: 8pt;
         }
     }
 
     .card-body {
     	background-color: $theme-color-five;
-    	font-family: Avenir Roman;
+    	font-family: $font-family-avenir-roman;
     	color: $theme-color-four;
 
 	}
@@ -188,7 +196,7 @@ body {
         border-radius: 0;
         width: 6.5rem;
         height: 2rem;
-        font-family: Avenir Roman;
+        font-family: $font-family-avenir-roman;
 
         &:active, &:focus, &:visited {
             outline: none;
@@ -196,6 +204,29 @@ body {
         }
     }
 
+    //spendlik
+    .pin-left:before {
+        content: '';
+        position: relative;
+        height: 0.35433rem;
+        width: 0.35433rem;
+        background-color: $theme-color-one;
+        border-radius: 50%;
+        display: inline-block;
+        top: -0.35433rem;
+        left: -0.2rem;
+
+    }
+
+    .pin-left {
+        border-left: .5pt solid $theme-color-four;
+        display: inline-block;
+        margin: 50px;
+        height: 200px;
+        text-align: left;
+        width: 100%;
+    }
+
     .button-image {
         background-color: transparent;
         border-color: transparent;
@@ -258,7 +289,7 @@ body {
             color:$theme-color-four;
             outline: none !important;
             box-shadow: none !important;
-            font-family: Avenir Medium;
+            font-family: $font-family-avenir-medium;
 
             &:active
             {
@@ -289,9 +320,18 @@ body {
     }
 }
 
+@media (max-width: 990px) {
+    body {
+        .pin-left {
+            margin-left: 0px;
+        }
+    }
+}
+
 @media only screen and (max-width: 540px)
 {
 
+
     .head-title.text-center h1
     {
         font-size: 45pt;
diff --git a/resources/sass/_variables.scss b/resources/sass/_variables.scss
index f687f99..b95585e 100644
--- a/resources/sass/_variables.scss
+++ b/resources/sass/_variables.scss
@@ -2,9 +2,12 @@
 $body-bg: #f8fafc;
 
 // Typography
-$font-family-sans-serif: 'Nunito', sans-serif;
+//$font-family-sans-serif: 'Nunito', sans-serif;
 $font-size-base: 0.9rem;
 $line-height-base: 1.6;
+$font-family-avenir-roman: Avenir Roman;
+$font-family-avenir-medium: Avenir Medium;
+$font-family-avenir-black: Avenir Black;
 
 // Colors
 $blue: #3490dc;
diff --git a/resources/views/auth/login.blade.php b/resources/views/auth/login.blade.php
index 3abb0a2..c541e80 100644
--- a/resources/views/auth/login.blade.php
+++ b/resources/views/auth/login.blade.php
@@ -26,11 +26,7 @@
                             <div class="col-md-6">
                                 <input id="email" type="email" class="form-control text2 @error('email') is-invalid @enderror" name="email" value="{{ old('email') }}" required autocomplete="email" autofocus>
 
-                                @error('email')
-                                    <span class="invalid-feedback" role="alert">
-                                        <strong>{{ $message }}</strong>
-                                    </span>
-                                @enderror
+
                             </div>
                         </div>
 
@@ -40,11 +36,7 @@
                             <div class="col-md-6">
                                 <input id="password" type="password" class="form-control text2 @error('password') is-invalid @enderror" name="password" required autocomplete="current-password">
 
-                                @error('password')
-                                    <span class="invalid-feedback" role="alert">
-                                        <strong>{{ $message }}</strong>
-                                    </span>
-                                @enderror
+
                             </div>
                         </div>
 
@@ -71,6 +63,20 @@
                                     </a>
                                 @endif --}}
                             </div>
+
+                            <div class="col-md-6 offset-md-2">
+                             @error('email')
+                                <span class="text white pin-left" role="alert">
+                                             <text>{{ $message }}</text>
+                                </span>
+                             @enderror
+
+                             @error('password')
+                                <span class="text white pin-left" role="alert">
+                                            <text>{{ $message }}</text>
+                                </span>
+                             @enderror
+                            </div>
                     </form>
                 </div>
             </div>