commit b4965c0ba62319816790f526cf8ccbe8068871bd
Author: rizir01 <themurrayms@seznam.cz>
Date:   Mon May 11 10:28:52 2020 +0200

    Issue #7998 @5h
    
    Pridana funkcionalita odebirani polozek v favartefacts. Panel s hlaskou o chybejicich polozkach k uzivateli byl upraven, aby sedel do tematiky stranky a take byl posunut nize podle nahlasene chyby. Dale pridan nadpis My books vcetne upravy textu a ikon, aby sedeli vzdy na spravne pozici podle velikosti zobrazovane plochy uzivatele.

diff --git a/resources/sass/_custom.scss b/resources/sass/_custom.scss
index 75de81a..84301a3 100644
--- a/resources/sass/_custom.scss
+++ b/resources/sass/_custom.scss
@@ -297,18 +297,34 @@ body {
         }
     }
 
+    .fav-cat-mybooks{
+        color:$theme-color-two;
+        text-align: center;
+        font-size: 1.9rem;
+    }
+
+    .fav-cat-nofav{
+        text-align: center;
+        color:$theme-color-three;
+        background-color: $theme-color-five;
+        border-color: $theme-color-three;
+    }
+
     .artefacts-area, .artefact-area {
 
         h5 {
             color: $theme-color-two;
-            font-weight: $font-weight-two;
-            line-height: 20pt;
-            font-size: 21pt;
+            //font-weight: $font-weight-two;
+            text-overflow: ellipsis;
+            overflow: hidden;
+            white-space: nowrap;
+            line-height: 0.9rem;
+            font-size: 1.1rem;
         }
 
         h6 {
             color: $theme-color-two;
-            font-size: 14pt;
+            font-size: 0.9rem;
             //font-weight: lighter;
             font-weight: $font-weight-one;
         }
@@ -325,24 +341,31 @@ body {
 
         .left_panel_info {
             margin-top: 15px;
-            margin-left: -10px;
-            max-width: 250px;
+            max-width: 70%;//250px
         }
 
         .right_panel_info {
             margin-top: 15px;
-            margin-right: -15px;
+        }
+
+        .likes_text{
+            text-align: center;
         }
 
         .card-cus-bottom {
             background-color: $theme-color-five;
+            padding-right: 0;
+            padding-left: 0;
         }
 
         .inter_info {
             &:before {
-                background-image: url(../images/interface/Button_Info_50.png);
-                width: 60px;
-                height: 60px;
+                //background-image: url(../images/interface/Button_Info_50.png);
+                background-image: url(../images/interface/Button_Info.svg);
+                //width: 60px;
+                //height: 60px;
+                width:8vw;
+                height:8vw;
             }
         }
 
@@ -350,17 +373,23 @@ body {
             display: none;
 
             &:before {
-                background-image: url(../images/interface/Hearth_Empty_50.png);
-                width: 60px;
-                height: 60px;
+                //background-image: url(../images/interface/Hearth_Empty_50.png);
+                background-image: url(../images/interface/Heart_Empty.svg);
+                //width: 60px;
+                //height: 60px;
+                width:8vw;
+                height:8vw;
             }
         }
 
         .inter_like_filled {
             &:before {
-                background-image: url(../images/interface/Hearth_Filled_50.png);
-                width: 60px;
-                height: 60px;
+                //background-image: url(../images/interface/Hearth_Filled_50.png);
+                background-image: url(../images/interface/Heart_Filled.svg);
+                //width: 60px;
+                //height: 60px;
+                width:8vw;
+                height:8vw;
             }
         }
 
@@ -411,6 +440,7 @@ body {
                 background-image: url(../images/interface/Heart_Empty.svg);
                 width: 1.563rem;
                 height: 1.25rem;
+
             }
         }
 
diff --git a/resources/views/favartefacts/index.blade.php b/resources/views/favartefacts/index.blade.php
index 2e4a828..670d533 100644
--- a/resources/views/favartefacts/index.blade.php
+++ b/resources/views/favartefacts/index.blade.php
@@ -4,9 +4,11 @@
 
 @section('content')
     <div class="container">
-        {{--<p>The id of the user is {{$user->id}}</p>--}}
         @if(isset($artefacts))
             @if(count($artefacts) >= 1)
+                <div class="fav-cat-mybooks">
+                    <h1>My books</h1>
+                </div>
                 @foreach($artefacts as $artefact)
                     <div class="artefacts-area mb-5">
                         <div class="card">
@@ -15,21 +17,29 @@
                             <img class="card-img-top" src="{{asset('images/artefacts/book_cover_01.jpg')}}" width="100%" height=auto>
                         </a>
                         <div class="container card-cus-bottom">
-                            <div class="flex-row row-list">
-                                <div class="col-xs-2 float-left left_panel_info">
+                            <div class="d-flex flex-row row-list">{{--<div class="flex-row row-list">--}}
+                                <div class="p-1 flex-fill bd-highlight left_panel_info">{{--<div class="col-xs-2 float-left left_panel_info">--}}
                                     <h5 class="card-title ">{{$artefact->name}}</h5>
                                     <h6 class="card-title">{{$artefact->author}}</h6>
                                 </div>
-                                <div class="col-xs-2 float-right right_panel_info">
-                                    <div class="float-left">
-                                        <button id="info_butt_{{$artefact->id}}" type="button" class="btn btn-primary button-image inter_info"></button>
-                                    </div>
-                                    <div class="float-right text-center">
-                                        <button id="like_butt_{{$artefact->id}}" onclick="myFunction({{$artefact->id}}, 1)" type="button" class="btn btn-primary button-image inter_like"></button>
-                                        <button id="like_butt2_{{$artefact->id}}" onclick="myFunction({{$artefact->id}}, 0)" type="button" class="btn btn-primary button-image inter_like_filled"></button>
-                                        <span class="likes_text">
-                                          <h6>{{$artefact->likes}}</h6>
-                                        </span>
+                                <div class="p-1 flex-fill bd-highlight float-right">{{--<div class="col-xs-2 float-right right_panel_info">--}}
+                                    <div class="text-right right_panel_info">{{--<div class="float-right text-center">--}}
+                                        <div class="float-left">
+                                            <button id="info_butt_{{$artefact->id}}" type="button" class="btn btn-primary float-left button-image inter_info"></button>
+                                        </div>
+                                        <div class="fav-cat-likes-t float-right">
+                                            <form method="POST" action="{{ url('/artefact/like/' . $artefact->id) }}">
+                                                @csrf
+                                                <button id="like_butt_{{$artefact->id}}" onclick="myFunction({{$artefact->id}}, 1)" type="submit" class="btn btn-primary button-image inter_like"></button>
+                                            </form>
+                                            <form method="POST" action="{{ url('/artefact/unlike/' . $artefact->id) }}">
+                                                @csrf
+                                                <button id="like_butt2_{{$artefact->id}}" onclick="myFunction({{$artefact->id}}, 0)" type="submit" class="btn btn-primary button-image inter_like_filled"></button>
+                                            </form>
+                                            <span class="likes_text">
+                                                <h6>{{$artefact->likes}}</h6>
+                                            </span>
+                                        </div>
                                     </div>
                                 </div>
                             </div>
@@ -39,7 +49,7 @@
                 @endforeach
             @else
                 <ul class="list-group">
-                    <li class="list-group-item">
+                    <li class="list-group-item fav-cat-nofav">
                         <h3>No favorites were added!</h3>
                     </li>
                 </ul>
diff --git a/routes/web.php b/routes/web.php
index 06c6137..9853bcd 100644
--- a/routes/web.php
+++ b/routes/web.php
@@ -17,8 +17,8 @@ Route::get('/', 'PagesController@index');
 
 Route::get('/artefact', 'ArtefactController@default');
 Route::get('/artefact/{id}', 'ArtefactController@view');
-Route::get('/artefact/like/{id}', 'ArtefactController@like');
-Route::get('/artefact/unlike/{id}', 'ArtefactController@unlike');
+Route::post('/artefact/like/{id}', 'ArtefactController@like');
+Route::post('/artefact/unlike/{id}', 'ArtefactController@unlike');
 Route::get('/category/{id}', 'ArtefactController@showCategory');
 Route::get('/detail/like/{id}', 'DetailsController@like');
 Route::get('/detail/unlike/{id}', 'DetailsController@unlike');