commit be36debe6277b4ff4ae8c00e66c66e1e2c949a2b
Author: Adam Mištera <amistera@students.zcu.cz>
Date:   Wed Jun 3 22:15:05 2020 +0200

    Issue #8139 @0.5h
    
    [/] Úprava pozice šipek u komponenty artefaktu.

diff --git a/resources/sass/_custom.scss b/resources/sass/_custom.scss
index d50ebc5..a57ec11 100644
--- a/resources/sass/_custom.scss
+++ b/resources/sass/_custom.scss
@@ -976,14 +976,13 @@ body {
 
             .book-arrow-left {
                 &:after {
-                    left: 25%;
+                    left: 1.5625rem;
                     border-right: 1.25rem solid $theme-color-two;
                 }
             }
 
             .book-arrow-right {
                 &:after {
-                    right: 25%;
                     border-left: 1.25rem solid $theme-color-two;
                 }
             }
@@ -1001,9 +1000,29 @@ body {
                         height: 5rem;
                         width: 5rem;
                     }
+
+                    &:hover, &:focus, &:active {
+                        background-color: transparent !important;
+                        border-color: transparent !important;
+                        outline: none !important;
+                        box-shadow: none !important;
+                    }
+                }
+
+                .inter_like {
+                    &:before{
+                        background-image: url(../images/interface/Heart_Empty.svg);
+                    }
+                }
+
+                .inter_like_filled {
+                    &:before{
+                        background-image: url(../images/interface/Heart_Filled.svg);
+                    }
                 }
 
                 .artefact-likes {
+                    color: $theme-color-two;
                     font-size: 12pt;
                     padding: 0;
                 }
diff --git a/resources/views/components/books.blade.php b/resources/views/components/books.blade.php
index 83a85d6..947df66 100644
--- a/resources/views/components/books.blade.php
+++ b/resources/views/components/books.blade.php
@@ -9,22 +9,6 @@
                         <a href="#imageModal" data-toggle="modal">
                             <img class="card-img-top" src="{{asset('images/artefacts/book_cover_01.jpg')}}" width="100%" height=auto alt="book_cover">
                         </a>
-                        <div class="card-cus-bottom">
-                            <a class="book-arrow book-arrow-left artefact-link previous-artefact {{$artefacts->onFirstPage() ? "invisible" : "visible"}}" href="{{$artefacts->previousPageUrl()}}"></a>
-                            <div class="likes">
-                                @if ($artefact->favourite)
-                                    <a href="{{  action('ArtefactController@unlike', ['id' => $artefact->id]) }}">
-                                        <button id="like_butt_{{$artefact->id}}" type="button" class="btn btn-primary button-image inter_like_filled"></button>
-                                    </a>
-                                @else
-                                    <a href="{{  action('ArtefactController@like', ['id' => $artefact->id]) }}">
-                                        <button id="like_butt_{{$artefact->id}}" type="button" class="btn btn-primary button-image inter_like"></button>
-                                    </a>
-                                @endif
-                                <h6 class="artefact-likes">{{$artefact->likes}}</h6>
-                            </div>
-                            <a class="book-arrow book-arrow-right artefact-link next-artefact {{$artefacts->hasMorePages() ? "visible" : "invisible"}}" href="{{$artefacts->nextPageUrl()}}"></a>
-                        </div>
                     </div>
                 </div>
             @endif
@@ -45,8 +29,6 @@
                     Morbi sit amet dictum metus, sit amet sollicitudin nibh. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc mattis leo convallis aliquam scelerisque.
                     Praesent vulputate porttitor quam at egestas. Proin eget orci ligula. Aenean malesuada, eros vitae convallis sagittis, neque leo ullamcorper ante, eu ultricies justo justo in lacus.
                 </p>
-
-
             </div>
 
             <div class="artefact-notes">
@@ -88,6 +70,25 @@
                 @endif
             </div>
         </div>
+
+        <div class="book-area col-md-12">
+            <div class="card-cus-bottom">
+                <a class="book-arrow book-arrow-left artefact-link previous-artefact {{$artefacts->onFirstPage() ? "invisible" : "visible"}}" href="{{$artefacts->previousPageUrl()}}"></a>
+                <div class="likes offset-7">
+                    @if ($artefact->favourite)
+                        <a href="{{  action('ArtefactController@unlike', ['id' => $artefact->id]) }}">
+                            <button id="like_butt_{{$artefact->id}}" type="button" class="btn btn-primary button-image inter_like_filled"></button>
+                        </a>
+                    @else
+                        <a href="{{  action('ArtefactController@like', ['id' => $artefact->id]) }}">
+                            <button id="like_butt_{{$artefact->id}}" type="button" class="btn btn-primary button-image inter_like"></button>
+                        </a>
+                    @endif
+                    <h6 class="artefact-likes">{{$artefact->likes}}</h6>
+                </div>
+                <a class="book-arrow book-arrow-right artefact-link next-artefact {{$artefacts->hasMorePages() ? "visible" : "invisible"}}" href="{{$artefacts->nextPageUrl()}}"></a>
+            </div>
+        </div>
     </div>
 </div>
 @endforeach