commit c0265e9ee9afb3007ae7a273000881a875cf4228
Author: zabran <zabran@students.zcu.cz>
Date:   Thu Apr 30 16:19:01 2020 +0200

    Issue #7953 @0.75h
    Drobné revize v layoutu a SASSu.

diff --git a/resources/sass/_custom.scss b/resources/sass/_custom.scss
index 5abafaa..b61d8eb 100644
--- a/resources/sass/_custom.scss
+++ b/resources/sass/_custom.scss
@@ -59,11 +59,6 @@ body {
             bottom: auto;
             transform: translateY(-50%);
             background-color:  rgba(239, 218, 179, 0.5);
-
-            p {
-                font-size: 8pt;
-                color: $theme-color-five;
-            }
         }
     }
 
@@ -138,13 +133,13 @@ body {
 
         .col-form-label{
             text-align: left;
-            padding-top: 0px;
-            padding-bottom: 0px;
+            padding-top: 0;
+            padding-bottom: 0;
         }
         .form-control{
-            padding: 0px;
+            padding: 0;
             height: 17pt;
-            border-radius: 0%;
+            border-radius: 0;
         }
     }
 
@@ -152,7 +147,6 @@ body {
     	background-color: $theme-color-five;
     	font-weight: $font-weight-one;
     	color: $theme-color-four;
-
 	}
 
 	.form-control {
@@ -188,18 +182,6 @@ body {
         }
     }
 
-    /*.form-control:focus {
-        background-color: $theme-color-five;
-        margin-top: -1px;
-        border-top-color: $theme-color-five;
-        border-left-color: $theme-color-five;
-        border-right-color: $theme-color-five;
-        border-bottom-color: 0.5pt $theme-color-one;
-        color: $theme-color-one;
-        box-shadow: none;
-        font-size: 8pt;
-    }*/
-
     .button-square {
         font-size: 8pt;
         background-color: $theme-color-five;
@@ -227,31 +209,23 @@ body {
         display: inline-block;
         top: -0.35433rem;
         left: -0.2rem;
-
     }
 
     .pin-left {
         border-left: .5pt solid $theme-color-four;
         display: inline-block;
-        //margin: 50px;
-        //margin-bottom: 0pt;
         margin: 10rem 50px 0px -5rem;
-        //min-height: 75vh;
-        //height: auto;
         position: fixed;
         top: 0;
         bottom: 0;
         text-align: left;
         width: 100%;
         .text{
-            //padding-top: 5rem;//0.35433rem;
-            //margin-top: 5rem;
-            //top: 5rem;
             margin-left: 0.5rem;
         }
         p{
-            margin-top: 0pt;
-            margin-bottom: 0pt;
+            margin-top: 0;
+            margin-bottom: 0;
         }
     }
 
@@ -259,17 +233,6 @@ body {
         list-style-type: none;
     }
 
-    /*footer {
-        background: $theme-color-four;
-        color: $theme-color-five;
-        display: block;
-        height: 50px;
-        position: fixed;
-        left: 0;
-        bottom: 0;
-        width: 100%;
-    }*/
-
     .button-image {
         background-color: transparent;
         border-color: transparent;
@@ -364,7 +327,7 @@ body {
         }
     }
 
-    .content {
+    /*.content {
         position: relative;
 
         //Circle style button
@@ -393,7 +356,7 @@ body {
                 color:$theme-color-five;
             }
         }
-    }
+    }*/
 
     //CATEGORIES - TILES
     .btn.btn-dark.cat-tile
@@ -436,7 +399,6 @@ body {
         right: 40%;
         display: none;
     }
-
 }
 
 .arrow{
@@ -466,7 +428,7 @@ body {
 
 .sidenav {
     height: 100%;
-    width: 0;
+    //width: 0;
     width: 250px;
     position: fixed;
     z-index: 1;
@@ -490,18 +452,10 @@ body {
 }
 
 @media screen and (max-height: 450px) {
-    //.sidenav {padding-top: 15px;}
     .sidenav a {font-size: 18px;}
 }
 
-@media (max-width: 990px) {
-    body {
-        /*.pin-left {
-            margin-left: -15rem;
-            margin-top: 11rem;
-        }*/
-    }
-}
+@media (max-width: 990px) {}//Ponecháno pro případ, že se bude měnit login
 
 @media (max-width: 770px) {
     body {
@@ -527,7 +481,7 @@ body {
 
     }
 
-    .btn-circle.rounded-circle.btn-sm
+    /*.btn-circle.rounded-circle.btn-sm
     {
         width: 90px;
         height: 90px;
@@ -543,7 +497,7 @@ body {
     {
         width: 180px;
         height: 180px;
-    }
+    }*/
 
     body{
         .carousel {
diff --git a/resources/views/inc/sidebar.blade.php b/resources/views/inc/sidebar.blade.php
index 207c6a7..6d9c901 100644
--- a/resources/views/inc/sidebar.blade.php
+++ b/resources/views/inc/sidebar.blade.php
@@ -1,4 +1,4 @@
-<div id="mySidenav" class="sidenav">
+<div id="sidebar" class="sidenav">
     <a href="javascript:void(0)" class="arrow arrow-left" s onclick="closeNav()"></a>
     <li class="nav-item"> &#160;</li>
     <li class="nav-item"> &#160;</li>
@@ -15,11 +15,6 @@
         @endif
         @else
         <li class="nav-item dropdown">
-           {{-- <a id="navbarDropdown" class="nav-link dropdown-toggle" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
-                {{ Auth::user()->name }} <span class="caret"></span>
-            </a>
-
-            <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdown">--}}
             <a class="dropdown-item text-headline" href="{{ url('/') }}">home</a>
 
             <a class="dropdown-item text-headline" href="{{ url('/categories') }}">topics</a>
@@ -34,6 +29,8 @@
 
             <a class="dropdown-item text-headline" href="{{ url('/charts') }}">charts</a>
 
+
+
                 <a class="dropdown-item text-headline" href="{{ route('logout') }}"
                    onclick="event.preventDefault();
                                                      document.getElementById('logout-form').submit();">
@@ -43,27 +40,30 @@
                 <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                     @csrf
                 </form>
-            {{-- </div>--}}
         </li>
         @endguest
 
 </div>
 
 <span class="arrow arrow-right" onclick="openNav()"></span>
+{{--<label for="logo" class="col-md-4 kaplicky">{{ __('kaplicky') }}</label>--}}
+{{--<a class="navbar-brand kaplicky" href="{{ url('/') }}">
+    {{  __('kaplicky') }}
+</a>--}}
 
 <script>
     function openNav() {
         var x = window.matchMedia("(max-width: 540px)")
         if(x.matches){
-            document.getElementById("mySidenav").style.width = "50vw";
+            document.getElementById("sidebar").style.width = "50vw";
         }
         else{
-            document.getElementById("mySidenav").style.width = "250px";
+            document.getElementById("sidebar").style.width = "250px";
         }
 
     }
 
     function closeNav() {
-        document.getElementById("mySidenav").style.width = "0";
+        document.getElementById("sidebar").style.width = "0";
     }
 </script>
diff --git a/resources/views/layouts/app.blade.php b/resources/views/layouts/app.blade.php
index ec98893..8cd0faf 100644
--- a/resources/views/layouts/app.blade.php
+++ b/resources/views/layouts/app.blade.php
@@ -13,25 +13,19 @@
     <script src="{{ asset('js/app.js') }}" defer></script>
 
     <!-- Fonts -->
-    <link rel="dns-prefetch" href="//fonts.gstatic.com">
-    <link href="https://fonts.googleapis.com/css2?family=Nunito+Sans:wght@900&display=swap" rel="stylesheet">
 
     <!-- Styles -->
     <link href="{{ asset('css/app.css') }}" rel="stylesheet">
+    
 </head>
 <body>
-    <div id="app">
+
         @if(!Request::is('/'))
             @include('inc/sidebar')
         @endif
 
-        <main class="py">
-            <div class="custom-container">
-                <div class="content-area">
+
                     @yield('content')
-                </div>
-            </div>
-        </main>
-    </div>
+
 </body>
 </html>
diff --git a/resources/views/pages/index.blade.php b/resources/views/pages/index.blade.php
index 26add30..2527552 100644
--- a/resources/views/pages/index.blade.php
+++ b/resources/views/pages/index.blade.php
@@ -39,7 +39,7 @@
         </div>
         <div class="carousel-caption d-md-block">
             <h2 class="text-center kaplicky">kaplicky</h2>
-            <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer turpis purus, volutpat quis libero aliquet, pulvinar accumsan erat.
+            <p class="text black">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer turpis purus, volutpat quis libero aliquet, pulvinar accumsan erat.
                 Praesent porttitor eleifend hendrerit. Vestibulum dictum nunc et leo finibus condimentum.
                 Proin id tempor enim, eu ornare nisi. Phasellus ornare metus ut mi dapibus, varius elementum leo malesuada.
             </p>