commit d45e6dd84055de5a77d9704abf183faea93bd978
Author: zabran <zabran@students.zcu.cz>
Date:   Fri Apr 17 17:21:59 2020 +0200

    Issue #7849 @1h
    Login/register vizuál.
    Pozor: Přepsáno celé card-body (dle návrhu má být černé všude).

diff --git a/resources/sass/_custom.scss b/resources/sass/_custom.scss
index cda6f28..6db0304 100644
--- a/resources/sass/_custom.scss
+++ b/resources/sass/_custom.scss
@@ -14,6 +14,30 @@ body
     letter-spacing: 3px;
 }
 
+.card-body
+{
+    background-color: $cusBlack;
+    font-family: Avenir;
+    color: $cusBrown3;
+}
+
+.btn-primary{
+    background-color: $cusBlack;
+    border-color: $cusWhite;
+}
+
+.form-control{
+    background-color: $cusBlack;
+    margin-top: -1px;
+    //border: 0px;
+    //border-bottom: 1px;
+    border-top-color: $cusBlack;
+    border-left-color: $cusBlack;
+    border-right-color: $cusBlack;
+    border-bottom-color: $cusWhite;
+    color: $cusWhite;
+}
+
 .bouton-image:before
 {
     content: "";
diff --git a/resources/views/auth/login.blade.php b/resources/views/auth/login.blade.php
index 5b7b78a..0325fe5 100644
--- a/resources/views/auth/login.blade.php
+++ b/resources/views/auth/login.blade.php
@@ -11,7 +11,7 @@
     <div class="row justify-content-center">
         <div class="col-md-8">
             <div class="card">
-                <div class="card-header">{{ __('Login') }}</div>
+                {{--<div class="card-header">{{ __('Login') }}</div>--}}
 
                 <div class="card-body">
                     <form method="POST" action="{{ route('login') }}">
@@ -59,7 +59,7 @@
 
                         <div class="form-group row mb-0">
                             <div class="col-md-8 offset-md-4">
-                                <button type="submit" class="btn btn-primary">
+                                <button type="submit" class="btn btn-primary btn-black">
                                     {{ __('Login') }}
                                 </button>
 
diff --git a/resources/views/auth/passwords/confirm.blade.php b/resources/views/auth/passwords/confirm.blade.php
index cba6799..31b49b3 100644
--- a/resources/views/auth/passwords/confirm.blade.php
+++ b/resources/views/auth/passwords/confirm.blade.php
@@ -3,7 +3,7 @@
 @section('title', 'Confirm')
 
 @section('breadcrumb')
-    <li class="breadcrumb-item active" aria-current="page">Confirm</li>
+    <li class="breadcrumb-item active" aria-current="page">Confirm Password</li>
 @endsection
 
 @section('content')
@@ -11,7 +11,7 @@
     <div class="row justify-content-center">
         <div class="col-md-8">
             <div class="card">
-                <div class="card-header">{{ __('Confirm Password') }}</div>
+                {{--<div class="card-header">{{ __('Confirm Password') }}</div>--}}
 
                 <div class="card-body">
                     {{ __('Please confirm your password before continuing.') }}
diff --git a/resources/views/auth/passwords/email.blade.php b/resources/views/auth/passwords/email.blade.php
index edd5b2f..33a4cf7 100644
--- a/resources/views/auth/passwords/email.blade.php
+++ b/resources/views/auth/passwords/email.blade.php
@@ -3,7 +3,7 @@
 @section('title', 'Reset')
 
 @section('breadcrumb')
-    <li class="breadcrumb-item active" aria-current="page">Reset</li>
+    <li class="breadcrumb-item active" aria-current="page">Reset Password</li>
 @endsection
 
 @section('content')
@@ -11,7 +11,7 @@
     <div class="row justify-content-center">
         <div class="col-md-8">
             <div class="card">
-                <div class="card-header">{{ __('Reset Password') }}</div>
+                {{--<div class="card-header">{{ __('Reset Password') }}</div>--}}
 
                 <div class="card-body">
                     @if (session('status'))
diff --git a/resources/views/auth/passwords/reset.blade.php b/resources/views/auth/passwords/reset.blade.php
index 5a25764..800f9d9 100644
--- a/resources/views/auth/passwords/reset.blade.php
+++ b/resources/views/auth/passwords/reset.blade.php
@@ -3,7 +3,7 @@
 @section('title', 'Reset')
 
 @section('breadcrumb')
-    <li class="breadcrumb-item active" aria-current="page">Reset</li>
+    <li class="breadcrumb-item active" aria-current="page">Reset Password</li>
 @endsection
 
 @section('content')
@@ -11,7 +11,7 @@
     <div class="row justify-content-center">
         <div class="col-md-8">
             <div class="card">
-                <div class="card-header">{{ __('Reset Password') }}</div>
+                {{--<div class="card-header">{{ __('Reset Password') }}</div>--}}
 
                 <div class="card-body">
                     <form method="POST" action="{{ route('password.update') }}">
diff --git a/resources/views/auth/register.blade.php b/resources/views/auth/register.blade.php
index e879a1b..956beeb 100644
--- a/resources/views/auth/register.blade.php
+++ b/resources/views/auth/register.blade.php
@@ -11,7 +11,7 @@
     <div class="row justify-content-center">
         <div class="col-md-8">
             <div class="card">
-                <div class="card-header">{{ __('Register') }}</div>
+                {{--<div class="card-header">{{ __('Register') }}</div>--}}
 
                 <div class="card-body">
                     <form method="POST" action="{{ route('register') }}">
diff --git a/resources/views/auth/verify.blade.php b/resources/views/auth/verify.blade.php
index 1a22045..68f4e14 100644
--- a/resources/views/auth/verify.blade.php
+++ b/resources/views/auth/verify.blade.php
@@ -3,7 +3,7 @@
 @section('title', 'Verify')
 
 @section('breadcrumb')
-    <li class="breadcrumb-item active" aria-current="page">Verify</li>
+    <li class="breadcrumb-item active" aria-current="page">Verify Your Email Address</li>
 @endsection
 
 @section('content')
@@ -11,7 +11,7 @@
     <div class="row justify-content-center">
         <div class="col-md-8">
             <div class="card">
-                <div class="card-header">{{ __('Verify Your Email Address') }}</div>
+                {{--<div class="card-header">{{ __('Verify Your Email Address') }}</div>--}}
 
                 <div class="card-body">
                     @if (session('resent'))